VERSION 5.00
Object = "{9C14D47E-B221-4FD0-AB86-67C30750874F}#5.0#0"; "STrayIco.ocx"
Object = "{81D68296-626C-4CBC-A33F-49DCE43BF3F3}#6.0#0"; "UniForms.ocx"
Begin VB.Form frmMain 
   BorderStyle     =   0  '
   ClientHeight    =   1140
   ClientLeft      =   150
   ClientTop       =   720
   ClientWidth     =   2610
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   1140
   ScaleWidth      =   2610
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin SysTrayIcon.STrayIco STrayIco2 
      Left            =   1200
      Top             =   120
      _ExtentX        =   953
      _ExtentY        =   953
      TextToolTip     =   "Floppy Autorun [Disable]"
      Icon            =   "frmMain.frx":0442
      ErrorMessage    =   0   'False
   End
   Begin UniversalForms.UniForms UniForms1 
      Left            =   1800
      Top             =   360
      _ExtentX        =   847
      _ExtentY        =   847
   End
   Begin SysTrayIcon.STrayIco STrayIco1 
      Left            =   600
      Top             =   120
      _ExtentX        =   953
      _ExtentY        =   953
      TextToolTip     =   "Floppy Autorun [Enable]"
      Icon            =   "frmMain.frx":0894
      ErrorMessage    =   0   'False
   End
   Begin VB.Timer Timer1 
      Interval        =   1000
      Left            =   120
      Top             =   360
   End
   Begin VB.Menu mnuTray 
      Caption         =   "Tray"
      Begin VB.Menu mnuActivate 
         Caption         =   "Activate"
         Enabled         =   0   'False
      End
      Begin VB.Menu mnuDeactivate 
         Caption         =   "Deactivate"
      End
      Begin VB.Menu mnu0 
         Caption         =   "-"
      End
      Begin VB.Menu mnuRun 
         Caption         =   "Run"
      End
      Begin VB.Menu mnu1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuInterval 
         Caption         =   "Set update interval"
      End
      Begin VB.Menu mnu2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "Exit"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Const FloppyFile = "a:\Autorun.inf"
Const DefFile = "progs.ini"

Private pr() As String
Private Flag As Boolean
Private N As Integer

Private Sub Form_Load()
    Dim c As Integer
    
    Caption = App.Title
    N = CInt(Val(ReadINI("Progs", "Num", DefFile)))
    
    ReDim pr(N) As String
    
    For c = 0 To N - 1
        pr(c) = ReadINI("Progs", "pr" + Trim$(Str$(c)), DefFile)
    Next c
    
    Flag = False
    Hide
    Timer1.Interval = CLng(Val(GetSetting(App.Title, "Settings", "Interval", "10000")))
    Timer1.Enabled = CLng(Val(GetSetting(App.Title, "Settings", "Enabled", "True")))
    
    If Timer1.Enabled Then
        STrayIco1.Create
        mnuActivate.Enabled = False
        mnuDeactivate.Enabled = True
    Else
        STrayIco2.Create
        mnuActivate.Enabled = True
        mnuDeactivate.Enabled = False
    End If
    
End Sub

Private Sub Form_Unload(Cancel As Integer)
    SaveSetting App.Title, "Settings", "Enables", Trim$(Str$(Timer1.Enabled))
End Sub

Private Sub mnuActivate_Click()
    mnuActivate.Enabled = False
    mnuDeactivate.Enabled = True
    Timer1.Enabled = True
    
    STrayIco2.Destroy
    STrayIco1.Create
End Sub

Private Sub mnuDeactivate_Click()
    mnuActivate.Enabled = True
    mnuDeactivate.Enabled = False
    Timer1.Enabled = False
    
    STrayIco1.Destroy
    STrayIco2.Create
End Sub

Private Sub mnuExit_Click()
    End
End Sub

Private Sub mnuInterval_Click()
    Timer1.Interval = CLng(Val(UniForms1.ShowInput("Update interval", "Please, input update interval (seconds)", "1"))) * 1000
    SaveSetting App.Title, "Settings", "Interval", Trim$(Str$(Timer1.Interval))
End Sub

Private Sub mnuRun_Click()
    Dim Prog As String, Mode As Integer
    
    On Error GoTo LocalError:
    
    If Dir$("A:\", vbVolume) <> "" Then
        If Dir$(FloppyFile) <> "" Then
            If Not Flag Then
                Mode = CInt(Val(ReadINI("Autorun", "Mode", FloppyFile)))
                If Mode = 0 Then
                    Prog = ReadINI("Autorun", "Prog", FloppyFile)
                    Shell "a:\" + Prog, vbNormalFocus
                Else
                    If Mode <= N Then
                        Shell pr(Mode), vbNormalFocus
                    End If
                End If
                Flag = True
            End If
        End If
    Else
        Flag = False
    End If
    
LocalError:

End Sub

Private Sub STrayIco1_RightClick()
    PopupMenu mnuTray
End Sub

Private Sub STrayIco2_RightClick()
    PopupMenu mnuTray
End Sub

Private Sub Timer1_Timer()
    Dim Prog As String, Mode As Integer
    
    On Error GoTo LocalError:
    
    If Dir$("A:\", vbVolume) <> "" Then
        If Dir$(FloppyFile) <> "" Then
            If Not Flag Then
                Mode = CInt(Val(ReadINI("Autorun", "Mode", FloppyFile)))
                If Mode = 0 Then
                    Prog = ReadINI("Autorun", "Prog", FloppyFile)
                    Shell "a:\" + Prog, vbNormalFocus
                Else
                    If Mode <= N Then
                        Shell pr(Mode), vbNormalFocus
                    End If
                End If
                Flag = True
            End If
        End If
    Else
        Flag = False
    End If
    
LocalError:

End Sub

Public Function DirectoryExists(ByVal strPathName As String) As Boolean
    Dim DirectoryFound As String
    Const errPathNotFound As Integer = 76

    On Error GoTo 0
    DirectoryFound = Dir(strPathName, vbDirectory)
    If (Len(DirectoryFound) = 0 Or Err = errPathNotFound) Then
        DirectoryExists = False
    Else
        DirectoryExists = True
    End If
End Function

